| LIRC libraries LinuxInfraredRemoteControl

Macros | Functions
serial.c File Reference

### (e229353 2016-10-20 17:36:59 +0200)

Implements serial.h. More...

`#include <limits.h>`
`#include <poll.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <termios.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <signal.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/ioctl.h>`
`#include "lirc/lirc_log.h"`
`#include "lirc/curl_poll.h"`

Go to the source code of this file.

## Macros
#define | LIRC_LOCKDIR "/var/lock/lockdev"

## Functions
int | tty_reset (int fd)
int | tty_setrtscts (int fd, int enable)
int | tty_setdtr (int fd, int enable)
int | tty_setbaud (int fd, int baud)
int | tty_setcsize (int fd, int csize)
int | tty_create_lock (const char *name)
int | tty_delete_lock (void)
int | tty_set (int fd, int rts, int dtr)
int | tty_clear (int fd, int rts, int dtr)
int | tty_write (int fd, char byte)
int | tty_read (int fd, char *byte)
int | tty_write_echo (int fd, char byte)

## Detailed Description

Implements serial.h.

Author
  Christoph Bartelmus

Definition in file serial.c.